<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Hillel Homework</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="main.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@400;600;800;900&display=swap" rel="stylesheet">
</head>
<body>
<main>
    <section>
        <h1 class="task__title">Task 3</h1>
        <p class="task__text">
            Изучите перебирающие методы массивов: forEach, filter, map. Создайте массив объектов users (~10 объектов), каждый объект имеет поля firstname, lastname, age с разными значениями. Используя встроенные функции(методы)
            массивов:

        </p>
        <ul class="task__text">
            <br>
            <li>
                Отфильтруйте пользователей младше 18 лет
            </li>
            <br>
            <li>
                Добавьте каждому объекту поле fullName, которое является конкатенацией имени и фамилии
            </li>
            <br>
            <li>
                Сформируйте новый массив, который содержит только полное имя пользователей
            </li>
        </ul>

    </section>
</main>

<script src="app.js"></script>
</body>
</html>
